# Power2UP API

##Установка
___
**pip install pr2up**

##Документация
___
###Функции

**get_services()** - Получить список услуг

Возвращает JSON объект

```json
{
    "service": 1,
    "name": "Живые Подписчики Ру",
    "type": "subscribe",
    "category": "Russian profiles. Adds views and small activity.",
    "rate": "100.00",
    "min": 10,
    "max": 15000,
    "refill": false
}
```

**create_order(service_id, link, quantity)** - Получить список услуг

+ service_id - айди сервиса
+ link - Ссылка на пост
+ quantity - кол-во на накрутку

Возвращает JSON объект
```json
{
  "order": 1
}
```

**check_status(order_id)**  - Проверить статус заказа

+ order_id - айди заказа

Возвращает JSON объект
```json
{
  "charge": "0.27819",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}
```

**create_refill(order_id)** - Создать рефилл

+ order_id - айди заказа

Возвращает JSON объект
```json
{
  "refill": 1
}
```

**get_balance()** - Получить баланс

Возвращает JSON объект
```json
{
  "balance": "99.80",
  "currency": "USD"
}
```

**cancel_order(order_id)** - Отменить заказ

+ order_id - айди заказа

Возвращает JSON объект
```json
{
  "ok": "true"
}
```

---
####В случае ошибки вернётся JSON ответ:
```json
{
  "error": "Error Example"
}
```

##Пример
___
```python
from pr2up import Power2Up

pr2up = Power2Up("API_TOKEN")

order = pr2up.get_services()

for i in order:
    print(i)
```
##Планы
___
✅ Создание проекта

✅ Разработка синхронного API

🔲 Разработка асинхронного API
##Автор
___
Developed by GFNPRO

Telegram - https://t.me/gfnpro
